{% extends "layout.twig" %}
{% block head %}
    <title>App | Forgot password</title>
{% endblock %}

{% block title %}
    Forgot password
{% endblock %}

{% block content %}
    <div class="d-flex justify-content-center">
        <form method="post" action="{{ path_for('forgot.post') }}">
            <div class="form-row">
                <div class="col">
                    <label for="email">Email</label>
                    <input type="email" class="form-control" id="email" name="email" placeholder="email@example.com">
                </div>
            </div>
            <input type="hidden" name="{{csrf.keys.name}}" value="{{csrf.name}}">
            <input type="hidden" name="{{csrf.keys.value}}" value="{{csrf.value}}">
            <div class="d-flex justify-content-center mt-3">
                <button class="btn btn-outline-secondary">Send request</button>
            </div>
        </form>
    </div>
{% endblock %}
{% block msg%}
    {% if has_error('email') %}
        <div class="alert alert-danger alert-dismissible fade show" role="alert">
            <h4 class="alert-heading">Error</h4>
            <p>{{ get_error('email') }}</p>
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
    {% endif %}
{% endblock%}